Slackware 10.0 / 10.1 / 10.2 / current : X.Org pixmap overflow (SSA:2005-269-02)

Medium Nessus Plugin ID 19867


The remote Slackware host is missing a security update.


New X.Org server packages are available for Slackware 10.0, 10.1, 10.2, and -current to fix a security issue. An integer overflow in the pixmap handling code may allow the execution of arbitrary code through a specially crafted pixmap. Slackware 10.2 was patched against this vulnerability before its release, but new server packages are being issued for Slackware 10.2 and -current using an improved patch, as there were some bug reports using certain programs.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 19867

File Name: Slackware_SSA_2005-269-02.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2005/10/05

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.1

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:slackware:slackware_linux:x11, p-cpe:/a:slackware:slackware_linux:x11-xdmx, p-cpe:/a:slackware:slackware_linux:x11-xnest, p-cpe:/a:slackware:slackware_linux:x11-xprt, p-cpe:/a:slackware:slackware_linux:x11-xvfb, cpe:/o:slackware:slackware_linux, cpe:/o:slackware:slackware_linux:10.0, cpe:/o:slackware:slackware_linux:10.1, cpe:/o:slackware:slackware_linux:10.2

Required KB Items: Host/local_checks_enabled, Host/Slackware/release, Host/Slackware/packages

Patch Publication Date: 2005/09/26

Vulnerability Publication Date: 2005/09/13

Reference Information

CVE: CVE-2005-2495

OSVDB: 19352

SSA: 2005-269-02